Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366782 - runtests.py missing from SRPM
Summary: runtests.py missing from SRPM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gssproxy
Version: 7.2
Hardware: All
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Robbie Harwood
QA Contact: Abhijeet Kasurde
URL: https://pagure.io/gssproxy/pull-reque...
Whiteboard:
Depends On:
Blocks: 1399979
TreeView+ depends on / blocked
 
Reported: 2016-08-12 19:28 UTC by Robbie Harwood
Modified: 2017-08-01 20:55 UTC (History)
5 users (show)

Fixed In Version: gssproxy-0.6.2-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:55:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2033 normal SHIPPED_LIVE gssproxy bug fix update 2017-08-01 18:34:35 UTC

Description Robbie Harwood 2016-08-12 19:28:02 UTC
runtests.py is not present in the SRPM, which means that one cannot run the test suite from the SRPM.  This occurs because the dist tarballs from upstream gssproxy do not include this file.

Comment 2 Abhijeet Kasurde 2017-05-09 09:49:38 UTC
[root@ipaserver01 gssproxy-0.7.0]# pwd
/root/rpmbuild/SOURCES/gssproxy-0.7.0
[root@ipaserver01 gssproxy-0.7.0]# find . -iname runtests.py
./tests/runtests.py
[root@ipaserver01 gssproxy-0.7.0]# rpm -qa gssproxy
gssproxy-0.7.0-3.el7.x86_64
[root@ipaserver01 gssproxy-0.7.0]# ls /root/rpmbuild/SOURCES/gssproxy-0.7.0/tests/runtests.py
/root/rpmbuild/SOURCES/gssproxy-0.7.0/tests/runtests.py


Verified using gssproxy RPMs :: gssproxy-0.7.0-3.el7.x86_64 and gssproxy-0.7.0-3.el7.src.x86_64

Comment 3 errata-xmlrpc 2017-08-01 20:55:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2033


Note You need to log in before you can comment on or make changes to this bug.